> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a phone number to DNC list

> Add a phone number to the Do Not Call list for a specific user.



## OpenAPI

````yaml /openapi.yml post /v1/dnc_numbers/create
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/dnc_numbers/create:
    post:
      tags:
        - DNC Numbers
      summary: Add a phone number to DNC list
      description: Add a phone number to the Do Not Call list for a specific user.
      operationId: DncController_addDncNumber
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddDncNumberDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DncNumberDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
components:
  schemas:
    AddDncNumberDto:
      type: object
      properties:
        phoneNumber:
          type: string
          example: '+1234567890'
        userId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        reason:
          type: string
          example: Customer requested to be removed from calling list
      required:
        - phoneNumber
    DncNumberDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        phoneNumber:
          type: string
          example: '+1234567890'
        userId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          nullable: true
        reason:
          type: string
          example: Customer requested to be removed from calling list
          nullable: true
        createdAt:
          type: string
          example: '2023-01-01T00:00:00Z'
        updatedAt:
          type: string
          example: '2023-01-01T00:00:00Z'
      required:
        - id
        - phoneNumber
        - createdAt
        - updatedAt
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````